Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1569622 - [abrt] fedora-easy-karma: wrapper(): bindings.py:128:wrapper:BodhiClientException: CSRF tokens do not match. This happens if you have the page open for a long time. Please reload the page and try to submit your data again. Make sure to save your ...
Summary: [abrt] fedora-easy-karma: wrapper(): bindings.py:128:wrapper:BodhiClientExcep...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-easy-karma
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Till Maas
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a789a1eb4ad9f487676b63659bd...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-19 15:24 UTC by Ankur Sinha (FranciscoD)
Modified: 2019-05-28 19:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:56:02 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (2.01 KB, text/plain)
2018-04-19 15:24 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: cgroup (399 bytes, text/plain)
2018-04-19 15:24 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: cpuinfo (1.26 KB, text/plain)
2018-04-19 15:24 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: environ (10.54 KB, text/plain)
2018-04-19 15:24 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: mountinfo (3.85 KB, text/plain)
2018-04-19 15:24 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: namespaces (129 bytes, text/plain)
2018-04-19 15:24 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: open_fds (470 bytes, text/plain)
2018-04-19 15:24 UTC, Ankur Sinha (FranciscoD)
no flags Details

Description Ankur Sinha (FranciscoD) 2018-04-19 15:24:08 UTC
Description of problem:
Left it running for too long without giving any input. Should probably fail more gracefully?

Version-Release number of selected component:
fedora-easy-karma-0-0.36.20171129gita8fe9cbc.fc28

Additional info:
reporter:       libreport-2.9.4
cmdline:        /usr/bin/python2 /usr/bin/fedora-easy-karma
crash_function: wrapper
exception_type: BodhiClientException
executable:     /usr/bin/fedora-easy-karma
interpreter:    python2-2.7.14-15.fc28.x86_64
kernel:         4.16.1-300.fc28.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
bindings.py:128:wrapper:BodhiClientException: CSRF tokens do not match.  This happens if you have the page open for a long time. Please reload the page and try to submit your data again. Make sure to save your input somewhere before reloading. 
Invalid update specified: None

Traceback (most recent call last):
  File "/usr/bin/fedora-easy-karma", line 848, in <module>
    fek = FedoraEasyKarma()
  File "/usr/bin/fedora-easy-karma", line 708, in __init__
    karma)
  File "/usr/bin/fedora-easy-karma", line 832, in send_comment
    res = bc.comment(update["title"], comment, karma=karma)
  File "/usr/lib/python2.7/site-packages/bodhi/client/bindings.py", line 128, in wrapper
    raise BodhiClientException(problems)
BodhiClientException: CSRF tokens do not match.  This happens if you have the page open for a long time. Please reload the page and try to submit your data again. Make sure to save your input somewhere before reloading. 
Invalid update specified: None

Local variables in innermost frame:
error: Munch({u'description': u'Invalid update specified: None', u'name': u'update', u'location': u'url'})
e: Munch({u'description': u'Invalid update specified: None', u'name': u'update', u'location': u'url'})
args: (<bodhi.client.bindings.BodhiClient object at 0x7f73af88e350>, u'gtk3-3.22.30-1.fc28', 'WFM')
problems: u'CSRF tokens do not match.  This happens if you have the page open for a long time. Please reload the page and try to submit your data again. Make sure to save your input somewhere before reloading. \nInvalid update specified: None'
result: Munch({u'status': u'error', u'errors': [Munch({u'description': u'CSRF tokens do not match.  This happens if you have the page open for a long time. Please reload the page and try to submit your data again. Make sure to save your input somewhere before reloading. ', u'name': u'csrf_token', u'location': u'body'}), Munch({u'description': u'Invalid update specified: None', u'name': u'update', u'location': u'url'})]})
kwargs: {'karma': '1'}
method: <function comment at 0x7f73a360b758>

Comment 1 Ankur Sinha (FranciscoD) 2018-04-19 15:24:13 UTC
Created attachment 1424171 [details]
File: backtrace

Comment 2 Ankur Sinha (FranciscoD) 2018-04-19 15:24:14 UTC
Created attachment 1424172 [details]
File: cgroup

Comment 3 Ankur Sinha (FranciscoD) 2018-04-19 15:24:15 UTC
Created attachment 1424173 [details]
File: cpuinfo

Comment 4 Ankur Sinha (FranciscoD) 2018-04-19 15:24:17 UTC
Created attachment 1424174 [details]
File: environ

Comment 5 Ankur Sinha (FranciscoD) 2018-04-19 15:24:18 UTC
Created attachment 1424175 [details]
File: mountinfo

Comment 6 Ankur Sinha (FranciscoD) 2018-04-19 15:24:19 UTC
Created attachment 1424176 [details]
File: namespaces

Comment 7 Ankur Sinha (FranciscoD) 2018-04-19 15:24:20 UTC
Created attachment 1424177 [details]
File: open_fds

Comment 8 Ben Cotton 2019-05-02 21:54:37 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2019-05-28 19:56:02 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.